Name: xawtv
Summary: A TV application for video4linux compliant devices.
Version: 3.54
Release: 5
Source:	http://www.in-berlin.de/User/kraxel/v4l/%{name}_%{version}.tar.gz
Source1: v4l-conf.pam
Patch: xawtv-3.45-config.patch
Group: Applications/Multimedia
License: GPL
URL: http://www.in-berlin.de/User/kraxel/xawtv.html
BuildPrereq: XFree86-devel, ncurses-devel
PreReq: /usr/X11R6/bin/xset , /usr/X11R6/bin/mkfontdir
Requires: usermode
BuildRoot: %{_tmppath}/%{name}-root
Excludearch: sparc s390 s390x

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux. Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%prep
%setup -q
%patch -p1 -b .config

%build
PATH=$PATH:/usr/X11R6/bin ; export PATH
%configure
make depend
make

%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:/usr/X11R6/bin ; export PATH
make install SUID_ROOT="" ROOT=$RPM_BUILD_ROOT mandir=$RPM_BUILD_ROOT%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
         $RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
         $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
 
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/v4l-conf
echo "SESSION=true" > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
echo "USER=root"   >> $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
echo "PROGRAM=%{_sbindir}/v4l-conf" >> $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
mv $RPM_BUILD_ROOT%{_bindir}/v4l-conf $RPM_BUILD_ROOT%{_sbindir}/
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/v4l-conf

%post
{
  cd /usr/X11R6/lib/X11/fonts/misc
  mkfontdir > /dev/null 2>&1
  cd -
}
 
if [ ".$DISPLAY" != "." ]; then
  xset fp rehash > /dev/null 2>&1
  true
fi
 
%postun
if [ $1 = 0 ]; then
  {
    cd /usr/X11R6/lib/X11/fonts/misc
    /usr/X11R6/bin/mkfontdir > /dev/null 2>&1
    cd -
  }
  if [ ".$DISPLAY" != "." ]; then
    /usr/X11R6/bin/xset fp rehash > /dev/null 2>&1
    true
  fi
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/app-defaults/Xawtv
/usr/X11R6/lib/X11/fonts/misc/*
%config(noreplace) %{_sysconfdir}/pam.d/v4l-conf
%config(noreplace) %{_sysconfdir}/security/console.apps/v4l-conf
/usr/bin/dump-mixers
/usr/bin/fbtv
/usr/bin/propwatch
/usr/bin/radio
/usr/bin/record
/usr/bin/showriff
/usr/bin/streamer
%attr(0711,root,root) /usr/sbin/v4l-conf
/usr/bin/v4l-conf
/usr/bin/v4lctl
/usr/bin/xawtv
/usr/bin/xawtv-remote
/usr/bin/webcam
/usr/bin/scantv
/usr/bin/rootv
%{_mandir}/man1/*
%doc COPYING Programming-FAQ README 
%doc TODO UPDATE_TO_v3.0 Changes
%doc contrib/dot.lircrc contrib/frequencies*

%changelog
* Tue Aug 28 2001 Than Ngo <than@redhat.com> 3.54-5
- fix spec file bug (Bug #52675)

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 3.54-4
- add requires usermode (bug #51474)

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com> 3.54-3
- tweak PAM setup so that v4l-conf can access the display properly

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com> 3.54-2
- Rebuild to remove libXv/libXxf86dga deps

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- update to 3.54

* Fri Jun 22 2001 Than Ngo <than@redhat.com>
- update to 3.53
- add buildprereq
- remove some uneeeded patches

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- excludearch s390 s390x

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- update to 3.51

* Thu Jun 07 2001 Than Ngo <than@redhat.com>
- update to 3.50

* Thu May 31 2001 Than Ngo <than@redhat.com>
- udate to 3.49

* Tue May 22 2001 Than Ngo <than@redhat.com>
- update to 3.48

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- built for the distro

* Wed May 18 2001 Karsten Hopp <karsten@redhat.de>
- make xawtv work with kernel-2.4

* Wed May 16 2001 Than Ngo <than@redhat.com>
- update to 3.47

* Mon May 07 2001 Than Ngo <than@redhat.com>
- update to 3.45
- add missing fonts

* Tue Feb 13 2001 Than Ngo <than@redhat.com>
- update to 3.34
- use consolehelper for v4l-conf
- add excludearch sparc, bdftopcf is broken on sparc

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- updated to 3.30
- use /dev/video0 instead /dev/video (bug #24871)
- fixed dependencies (Bug #24881)
 
* Sun Nov 19 2000 Than Ngo <than@redhat.com>
- update to 3.24
- add missing tools (rootv,scantv)
- add missing prereq on xset and mkfontdir

* Fri Nov 3 2000 Than Ngo <than@redhat.com>
- update to 3.23

* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- rebuilt against new XFree86 to fix DGA problems

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- update to 3.18 (Bugfix release)
- option -nodga to disable DGA (Bug #16577, #15702)
- compress fonts with gzip

* Mon Aug 07 2000 Tim Powers <timp@redhat.com>
- fixed bug #15435

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against the new DGA
- fixed in post and postun, so that it does not
  emits to console (Bug #15436)


* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- update to 3.17

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update to 3.14 for 7.0
- put man page in correct place
- add webcam
- bzip2 source
- cleanup specfile

* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- font fix (#8610) in post and postun
- add missing files in bin

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- whoops! 3.07 already bugfix release

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.06

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 2.46
- built for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0
